Bug 406391 - 3.29: Private icon and groups list at top of bug report
Summary: 3.29: Private icon and groups list at top of bug report
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 3.2
Hardware: All Linux
high
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHBZ30UpgradeTracker 427057
TreeView+ depends on / blocked
 
Reported: 2007-11-30 16:58 UTC by David Lawrence
Modified: 2013-06-24 04:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 03:41:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add secure icon to top of show_bug.cgi (v1) (1.86 KB, patch)
2008-04-23 20:29 UTC, David Lawrence
dkl: review? (kbaker)
nelhawar: review+
dkl: review? (tfu)
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 956853 None None None Never

Description David Lawrence 2007-11-30 16:58:55 UTC
Description:
When a bug is marked private to one or more groups, a lock icon is displayed next to the bug summary at the top. Also right below, a list of groups that the bug is private to is displayed to allow quick viewing.

Function Requirements:
template/en/default/bug/show.html.tmpl template/en/default/bug/edit.html.tmpl Bugzilla/Bug.pm isprivate()

Comment 1 Tony Fu 2007-12-20 04:08:59 UTC
Size estimation:

Add a piece of code to implement this function. It will include a simple input
and a simple logical internal file
unadjusted-function-point-total = 1*3 + 1*7=10
total-function-point-count = 10*1.11=11
LOC=11*60=660

Test unit:
two web pages need to be tested. the LOC=2*20=40.  (assume that testing one page
needs 20 lines of code)


Total LOC=660+40=700

Comment 2 Kevin Baker 2008-04-15 02:08:32 UTC
Not a blocker for milestone 3. 

Comment 3 Kevin Baker 2008-04-15 02:09:54 UTC
Just add the private icon. No need for the list of groups

Comment 4 David Lawrence 2008-04-23 20:29:27 UTC
Created attachment 303546 [details]
Patch to add secure icon to top of show_bug.cgi (v1)

Attaching patch to add same secure lock icon used in 2.18 to top of
show_bug.cgi for private bugs. Also changed the css for buglist.cgi to show the
same icon in the bug list for private bugs.

Please review.
Dave

Comment 5 Noura El hawary 2008-04-24 15:00:06 UTC
Comment on attachment 303546 [details]
Patch to add secure icon to top of show_bug.cgi (v1)

Looks good to me Dave.

Noura

Comment 6 David Lawrence 2008-04-24 16:35:19 UTC
Committed to CVS. Worked 1 hour.


Note You need to log in before you can comment on or make changes to this bug.